package digital.laboratory.platform.inspetion.api.entity;
/*
 *@title SampleInfo
 *@description
 *@author xy
 *@version 1.0
 *@create 2023/12/13 11:00
 */

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

@Data
@TableName(value = "b_sampleInfo", autoResultMap = true)
@ApiModel(value = "样本信息", description = "样本信息")
public class SampleInfo extends BaseEntity {
    private String id;
    private String sampleName;
    private String acceptNo;
    private Double quality;  //送检的时候送检质量
    private String unit;//单位
    private Double sampleQuality;//受理的时候的质量
    private String sampleQualityUnit;//受理的时候的质量单位
    private Integer source;//数据来源-手动录入或系统接口录入
    private String businessId;//业务ID
    private Integer status; // 0 未分配 1已分配
    private String businessType;//委托检验鉴定、任务检验鉴定、筛查检验鉴定
    private String form;//检材性状
    private String color;//检材颜色
    Integer analysisOption;//定量分析字段  1.定性分析   2.定量分析 3.定性定量分析 4.关联性判断 5。其他
    Integer orderNo;//委托中检材的序号
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<TargetObject> targetObject;//筛查物列表

    //用来转换type类型的中文
    @TableField(exist = false)
    private String businessTypeName;

    @TableField(exist = false)
    private Boolean isDistribution;//是否被分配
}
