package digital.laboratory.platform.inspection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 删除图谱DTO参数
 */
@Data
@ApiModel(value = "DeleteTestAtlasDTO", description = "删除图谱DTO参数")
public class DeleteTestAtlasDTO {

    @ApiModelProperty("检验id")
    @NotBlank(message = "实验id不能为空！")
    private String testId;

    @ApiModelProperty("删除的文件id列表")
    @NotEmpty(message = "文件id不能为空！")
    private List<String> fileIds;
}
