package digital.laboratory.platform.inspection.dto;

import digital.laboratory.platform.inspection.utils.datafile.hair.HairSewageCompoundData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author xy
 * @version 1.0
 * @title HairCaseDataDto  毛发案件 数据文件解析信息
 * @description
 * @create 2024/1/19 10:40
 */
@Data
@ApiModel(value = "HairCaseDataDto", description = "毛发案件 数据文件解析信息")
public class HairSewageDataDto extends BaseCaseDataDto<HairSewageCompoundData> {

    @ApiModelProperty("对应的检验数据id")
    private String testSampleDataId;

    @ApiModelProperty("目标物编号")
    private String sampleNo;

    @ApiModelProperty("目标物名称")
    private String sampleName;

    @ApiModelProperty("所属实验的ID")
    private String testId;//所属实验的ID

    @ApiModelProperty("目标物保留时间")
    private double targetRtTime;//目标物保留时间

    @ApiModelProperty("模板目标物保留时间")
    private String tmpTargetRtTime;//模板目标物保留时间

    @ApiModelProperty("目标物浓度 ng/mL")
    private String targetConcentration;//目标物浓度 ng/mL

    @ApiModelProperty("标准物保留时间")
    private double stdRtTime;//标准物保留时间

    @ApiModelProperty("标准物浓度")
    private String stdConcentration;//标准物浓度

    @ApiModelProperty("保留时间相对误差(%)")
    private double rtTimeError;//保留时间相对偏差

    @ApiModelProperty("模板保留时间相对误差(%)")
    private String tmpRtTimeError;//

    @ApiModelProperty("保留时间是否在误差范围内, 是否符合")
    private String rtTimeWithinError;//保留时间是否在误差范围内

    @ApiModelProperty("定性离子对-上")
    private String qualitativeIonPairUp;

    @ApiModelProperty("定性离子对-下")
    private String qualitativeIonPairDown;

    @ApiModelProperty("峰面积-上")
    private Double peakAreaUp;

    @ApiModelProperty("模板峰面积-上")
    private String tmpPeakAreaUp;

    @ApiModelProperty("峰面积-下")
    private Double peakAreaDown;

    @ApiModelProperty("模板峰面积-下")
    private String tmpPeakAreaDown;

    @ApiModelProperty("离子丰度比")
    private Double ionAbundanceRatio;

    @ApiModelProperty("模板离子丰度比")
    private String  tmpIonAbundanceRatio;

    @ApiModelProperty("离子丰度比相对偏差（%）")
    private Double ionAbundanceRatioWithinError;

    @ApiModelProperty("模板离子丰度比相对偏差（%）")
    private String  tmpIonAbundanceRatioWithinError;

    @ApiModelProperty("是否检出")
    private String whetherCheckOut;

    @ApiModelProperty("化合物名称")
    private String compoundName;

    @ApiModelProperty("是否检出目标化合物")
    private int isDetected;//是否检出目标化合物

    @ApiModelProperty("样本类型- QC(质控)  STD(标准品) Analyte(待测样品)")
    private String sampleType;//样本类型- QC(质控)  STD(标准品) Analyte(待测样品)

    @ApiModelProperty("检验数据详情")
    private List<HairSewageCompoundData> testSampleDataList;//检验数据详情

    @ApiModelProperty("封装定性离子对和峰面积")
    private List<Map<String, Object>> maps;//检验数据详情

    @ApiModelProperty("业务类型")
    private String businessType;

    @ApiModelProperty("定量结果")
    private String quantitativeResults;

    @ApiModelProperty("化合物的中文名称")
    private String compoundCnName;

}



