package digital.laboratory.platform.inspection.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "SampleInjectorExcelDTO", description = "进样信息导出excel中的每一行数据DTO类")
public class SampleInjectorExcelDTO {
    // @ExcelProperty：核心注解，value属性可用来设置表头名称，converter属性可以用来设置类型转换器；
    @ExcelProperty(value = "FILE_NAME")
    @ApiModelProperty(value = "溶液编号")
    private String fileName;

    @ExcelProperty(value = "FILE_TEXT")
    @ApiModelProperty(value = "溶液浓度")
    private String fileText;

    @ExcelProperty(value = "MS_FILE")
    @ApiModelProperty("默认空白")
    private String msFile;

    @ExcelProperty(value = "MS_TUNE_FILE")
    @ApiModelProperty(value = "")
    private String msTuneFile;

    @ExcelProperty(value = "INLET_FILE")
    @ApiModelProperty(value = "")
    private String inletFile;

    @ExcelProperty(value = "SAMPLE_LOCATION")
    @ApiModelProperty("检材进样位置")
    private String sampleLocation;

    @ExcelProperty(value = "SAMPLE_GROUP")
    @ApiModelProperty(value = "")
    private String sampleGroup;

    @ExcelProperty(value = "TYPE")
    @ApiModelProperty(value = "溶液类型")
    private String type;

    @ExcelProperty(value = "ID")
    @ApiModelProperty("")
    private String id;

    @ExcelProperty(value = "CONC_A")
    @ApiModelProperty(value = "")
    private String concA;

    @ExcelProperty(value = "CONC_B")
    @ApiModelProperty(value = "")
    private String concB;

    @ExcelProperty(value = "CONC_C")
    @ApiModelProperty("")
    private String concC;

    @ExcelProperty(value = "CONC_D")
    @ApiModelProperty(value = "")
    private String concD;

    @ExcelProperty(value = "CONC_E")
    @ApiModelProperty(value = "")
    private String concE;

    @ExcelProperty(value = "CONC_F")
    @ApiModelProperty("")
    private String concF;

    @ExcelProperty(value = "INJ_VOL")
    @ApiModelProperty(value = "")
    private String injVol;

    @ExcelProperty(value = "QUAN_REF")
    @ApiModelProperty(value = "")
    private String quanRef;

    @ExcelProperty(value = "METH_DB")
    @ApiModelProperty("")
    private String methDb;

    @ExcelProperty(value = "Index")
    @ApiModelProperty(value = "")
    private Integer index;
}
