package digital.laboratory.platform.inspection.dto;

import digital.laboratory.platform.inspection.entity.TestRecordSampleData;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class TestRecordSampleDataDocDTO extends TestRecordSampleData {

    /**
     * 离子丰度比  | 峰面积之比
     * p 表示打印 (Print)
     */
    private String pIonAbundanceRatio;

    /**
     * 离子丰度比相对偏差（%）
     * 计算公式：(目标物离子丰度比 - 标准物离子丰度比) / 标准物质离子丰度比 * 100
     * p 表示打印 (Print)
     */
    private String pIonAbundanceRatioError;

    /**
     * 离子丰度比偏差是否在误差范围内
     * p 表示打印 (Print)
     */
    private String pIonAbundanceRatioWithinError;

    /**
     * 目标物保留时间
     * p 表示打印 (Print)
     */
    private String pTargetRtTime;

    /**
     * 保留时间偏差
     * p 表示打印 (Print)
     */
    private String pRtTimeError;

    /**
     * 保留时间偏差是否在误差范围内
     * p 表示打印 (Print)
     */
    private String pRtTimeWithinError;

    /**
     * 是否检测到目标物
     * p 表示打印 (Print)
     */
    private String pIsDetected;

    /**
     * 样本索引编号
     */
    private String indexNum;


    /**
     * 质荷比(m/z)， nps案件
     * p 表示打印 (Print)
     */
    private String pMassToChargeRatio;

}
