package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xy
 * @version 1.0
 * @description
 * 保留时间的最大误差允许范围是 正负1%
 * <p/>
 * 离子丰度比相对偏差（检材离子丰度比与标准物质离子丰度比之间的差值 d），根据文件中的规则设定，规则是:
 * <p/>
 * 1、d＞50%  相对偏差为：正负 10%
 * <p/>
 * 2、d＞20%～50%  d小于等于50%，大于20%  相对偏差为：正负 15%
 * <p/>
 * 3、d＞10%～20% 小于等于20%，大于10%  相对偏差为：正负 20%
 * <p/>
 * 4、d<=10% 小于等于10%  相对偏差为：正负 50%
 * @create 2024/1/30 17:28
 *
 */
@Data
@TableName(value = "b_test_record_qualitative_condition",autoResultMap = true)
public class TestRecordQualitativeCondition {
    private String id;
    @ApiModelProperty(value="保留时间相对误差")
    private Double rtError;
    @ApiModelProperty(value="是否包含保留时间上限: 0=不包含; 1=包含")
    private Boolean includeRtErrorMax;
    @ApiModelProperty(value="是否包含保留时间下限: 0=不包含; 1=包含")
    private Boolean includeRtErrorMin;
    @ApiModelProperty(value="是否包含离子丰度偏差下限: 0=不包含; 1=包含")
    private Boolean includeRatioLow;
    @ApiModelProperty(value="是否包含离子丰度偏差上限: 0=不包含; 1=包含")
    private Boolean includeRatioHigh;



}
