package digital.laboratory.platform.inspection.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.inspection.entity.AssignmentInfo;
import digital.laboratory.platform.inspection.entity.SampleInjector;
import digital.laboratory.platform.inspection.vo.ResultConcentrationVO;
import digital.laboratory.platform.inspection.vo.TestRecordSolutionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* 进样器mapper接口
* date: 2024/2/18 17:04
* @author: Chen
* @since JDK 1.8
* Description:
*/
@Mapper
public interface SampleInjectorMapper extends BaseMapper<SampleInjector> {
    /**
     * 获取进样信息中的检材列表
     * @param qw
     * @return
     */
    List<TestRecordSolutionVO> queryMaterialList(@Param(Constants.WRAPPER) QueryWrapper<TestRecordSolutionVO> qw);

    /**
     * 查询相关样本或者标准品溶液结果浓度
     * @param qw
     * @return
     */
    List<ResultConcentrationVO> queryResultConcentrationList(@Param(Constants.WRAPPER) QueryWrapper<ResultConcentrationVO> qw);
}
