package digital.laboratory.platform.inspection.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 获取实验数据分页查询DTO类
 */
@Data
@ApiModel(value = "AnalysisTestResultPageQuery", description = "获取实验数据分页查询DTO类")
public class AnalysisTestResultPageQuery extends BaseQuery {

    @ApiModelProperty("实验id")
    @NotBlank(message = "参数不全，请检查参数是否符合！")
    private String testId;

    @ApiModelProperty("获取数据类型， 检验数据的类型，比如说是nps的还是毛发案件的")
    private String type;

}
